[git] gnupg-doc - branch, master, updated. 1106e2a424afd7bf68850fe0e3560b615a6dd694
by Justus Winter
cvs at cvs.gnupg.org
Mon Apr 10 14:33:44 CEST 2017
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".
The branch, master has been updated
via 1106e2a424afd7bf68850fe0e3560b615a6dd694 (commit)
via 619135c390c52fa1c2c9fb86777f93ff8b8812e6 (commit)
from 4d585593e209518ac00301d0024e683dea8bf943 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 1106e2a424afd7bf68850fe0e3560b615a6dd694
Author: Justus Winter <justus at g10code.com>
Date: Mon Apr 10 14:33:31 2017 +0200
jenkins: keep failed distchecks around for investigation
diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index aca5cc2..0e9a698 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -331,6 +331,8 @@ case "$XTARGET" in
# Jenkins looks for "FAIL:" to mark a build unstable,
# hence we ignore errors here.
echo "FAIL: make distcheck failed with status $?"
+ # Disable the cleanup so that we can investigate.
+ trap - EXIT
exit 0
fi
commit 619135c390c52fa1c2c9fb86777f93ff8b8812e6
Author: Justus Winter <justus at g10code.com>
Date: Mon Apr 10 14:30:01 2017 +0200
jenkins: fix the runpath hack for in-tree builds
diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 54d0098..aca5cc2 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -220,6 +220,10 @@ case "$XTARGET" in
CXXFLAGS="$CXXFLAGS -std=c++11"
$MAKE $MAKEFLAGS
+ # HACKHACKHACK: Fix the test_environment hack.
+ test_environment="$(echo $test_environment | sed -e 's#obj/##g')"
+ # KCAHKCAHKCAH
+
env $test_environment $MAKE -k check verbose=2 \
|| echo "FAIL: make check failed with status $?"
# Jenkins looks for "FAIL:" to mark a build unstable,
-----------------------------------------------------------------------
Summary of changes:
misc/jenkins/bin/build.bash | 6 ++++++
1 file changed, 6 insertions(+)
hooks/post-receive
--
The GnuPG website and other docs
http://git.gnupg.org
More information about the Gnupg-commits
mailing list